Building eIQ software support using Yocto Project tools with imx 6 quad

cancel
Showing results for 
Search instead for 
Did you mean: 

Building eIQ software support using Yocto Project tools with imx 6 quad

Jump to solution
1,136 Views
Contributor I

Hello!

I want to test NXP eIQ™ Machine Learning Software Development with imx 6 quad, but error occurred when yocto build

(bitbake fsl-image-qt5)

I changed MACHINE  option  imx8qmmek -> imx6qsabreauto in local.conf file.

(when MACHINE option is imx8qmmek, bitbake is successed.)

 

I don't have imx8 board yet. So before get imx8, i want to try eIQ™ Machine Learning with imx 6 quad.

how can I build NXP eIQ software support using Yocto Project tools with imx 6 quad(imx6qsabreauto)?

thank you!

 

os : ubuntu 16.04

referenced doc : https://www.nxp.com/docs/en/nxp/user-guides/UM11226.pdf

< local.conf >

   MACHINE ??= 'imx6qsabreauto' (my source code)

   //MACHINE ??= 'imx8qmmek'  (eIQ document' source code)
   DISTRO ?= 'fsl-imx-xwayland'
   PACKAGE_CLASSES ?= "package_rpm"
   EXTRA_IMAGE_FEATURES ?= "debug-tweaks"
   USER_CLASSES ?= "buildstats image-mklibs image-prelink"
   PATCHRESOLVE = "noop"
   BB_DISKMON_DIRS ??= "\
   STOPTASKS,${TMPDIR},1G,100K \
   STOPTASKS,${DL_DIR},1G,100K \
   STOPTASKS,${SSTATE_DIR},1G,100K \
   STOPTASKS,/tmp,100M,100K \
   ABORT,${TMPDIR},100M,1K \
   ABORT,${DL_DIR},100M,1K \
   ABORT,${SSTATE_DIR},100M,1K \
   ABORT,/tmp,10M,1K"
   PACKAGECONFIG_append_pn-qemu-native = " sdl"
   PACKAGECONFIG_append_pn-nativesdk-qemu = " sdl"
   CONF_VERSION = "1"

   DL_DIR ?= "${BSPDIR}/downloads/"
   ACCEPT_FSL_EULA = "1"


   EXTRA_IMAGE_FEATURES = " dev-pkgs debug-tweaks tools-debug tools-sdk ssh-server-openssh"
   IMAGE_INSTALL_append = " net-tools iputils dhcpcd"
   IMAGE_INSTALL_append = " which gzip python python-pip"
   IMAGE_INSTALL_append = " wget cmake gtest git zlib patchelf"
   IMAGE_INSTALL_append = " nano grep vim tmux swig tar unzip"
   IMAGE_INSTALL_append = " parted e2fsprogs e2fsprogs-resize2fs"
   IMAGE_INSTALL_append = " opencv python-opencv"
   PACKAGECONFIG_remove_pn-opencv_mx8 = "python3"
   PACKAGECONFIG_append_pn-opencv_mx8 = " dnn python2 qt5 jasper openmp test neon"
   PACKAGECONFIG_remove_pn-opencv_mx8 = "opencl"
   PACKAGECONFIG_remove_pn-arm-compute-library = "opencl"
   TOOLCHAIN_HOST_TASK_append = " nativesdk-cmake nativesdk-make"
   IMAGE_INSTALL_append = " arm-compute-library tensorflow tensorflow-lite armnn onnxruntime"
   PREFERRED_VERSION_opencv = "4.0.1%"
   PREFERRED_VERSION_tensorflow = "1.12.0%"
   PREFERRED_VERSION_tensorflow-lite = "1.12.0%"

< error code >

user00@wnserver1:~/ki2/fsl-arm-yocto-bsp/buildxwayland$ bitbake fsl-image-qt5
Parsing recipes: 100% |##########################################| Time: 0:06:11
Parsing of 2577 .bb files complete (0 cached, 2577 parsed). 3499 targets, 223 skipped, 8 masked, 0 errors.

NOTE: Resolving any missing task queue dependencies
ERROR: Nothing RPROVIDES 'tensorflow' (but /home/user00/ki/fsl-arm-yocto-bsp/sou rces/meta-fsl-bsp-release/imx/meta-sdk/dynamic-layers/qt5-layer/recipes-fsl/imag es/fsl-image-qt5.bb RDEPENDS on or otherwise requires it)
tensorflow was skipped: incompatible with machine imx6qpsabreauto (not in COMPAT IBLE_MACHINE)
NOTE: Runtime target 'tensorflow' is unbuildable, removing...
Missing or unbuildable dependency chain was: ['tensorflow']
ERROR: Required build target 'fsl-image-qt5' has no buildable providers.
Missing or unbuildable dependency chain was: ['fsl-image-qt5', 'tensorflow']

Labels (1)
1 Solution
96 Views
NXP Employee
NXP Employee

Hi xotjrrl@naver.com‌,

Please try adding imx6 as a compatible machine on TensorFlow recipe as only imx8qm is supported in the recipe at this time. tensorflow_1.12.0.bb\tensorflow\recipes-libraries - meta-imx-machinelearning - i.MX Yocto Project Ma... 

COMPATIBLE_MACHINE = "(imx8qm|imx6q)"

Note that imx6* processors were not tested with the eIQ release.
Let me know if it works.

Thanks,
Vanessa

View solution in original post

3 Replies
97 Views
NXP Employee
NXP Employee

Hi xotjrrl@naver.com‌,

Please try adding imx6 as a compatible machine on TensorFlow recipe as only imx8qm is supported in the recipe at this time. tensorflow_1.12.0.bb\tensorflow\recipes-libraries - meta-imx-machinelearning - i.MX Yocto Project Ma... 

COMPATIBLE_MACHINE = "(imx8qm|imx6q)"

Note that imx6* processors were not tested with the eIQ release.
Let me know if it works.

Thanks,
Vanessa

View solution in original post

96 Views
Contributor I

I'm appreciate your fast feedback, and solved problem.

But new error is occured which is related to "python-opencv".

I tried to find "python-opencv" in my yocto directory.

I found "opencv" related bb files, but couldn't find "python-opencv".

How can I fix this new problem?

NOTE: Resolving any missing task queue dependencies
ERROR: Nothing RPROVIDES 'python-opencv' (but /home/user00/ki/fsl-arm-yocto-bsp/sources/meta-fsl-bsp-release/imx/meta-sdk/dynamic-layers/qt5-layer/recipes-fsl/images/fsl-image-qt5.bb RDEPENDS on or otherwise requires it)
NOTE: Runtime target 'python-opencv' is unbuildable, removing...
Missing or unbuildable dependency chain was: ['python-opencv']
ERROR: Required build target 'fsl-image-qt5' has no buildable providers.
Missing or unbuildable dependency chain was: ['fsl-image-qt5', 'python-opencv']

96 Views
Contributor II

Hi xotjrrl@naver.com‌,

I just faced the same error as yours and I solved it replacing "_mx8" with "_mx6" in the following lines:

PACKAGECONFIG_remove_pn-opencv_mx6 = "python3"
PACKAGECONFIG_append_pn-opencv_mx6 = " dnn python2 qt5 jasper openmp test neon"
PACKAGECONFIG_remove_pn-opencv_mx6 = "opencl"
‍‍‍

Andrea

0 Kudos